<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button slot="start" (click)="this.commonMethodsTs.goBack()">
			<ion-icon slot="icon-only" name="arrow-round-back"></ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminGroupThanhVien()">
			<ion-icon name="home"></ion-icon>
			Thông tin group thành viên
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<form *ngIf="this.data && myForm" [formGroup]="myForm">
			<ion-list margin-bottom-content margin-top>
				<ion-item>
					<ion-label> Tên group <span class="custom-span">*</span>:
					</ion-label>
					<ion-input type="text" formControlName="Title" placeholder="Nhập tên group
						thành viên"></ion-input>
				</ion-item>
				<ion-item>
					<ion-label>Chọn thành viên :</ion-label>
					<custom-ion-select #comboxThanhVien class="custom-ion-select"
						style="max-width: 120px"
						placeholder="Chọn thành viên" [options]="{labelDefault:'Chọn thành viên'}"
						type="ThanhVien" [params]="{notId: myForm.value.LstIdUser_Ext}">
					</custom-ion-select>
					<ion-button [disabled]="!(+comboxThanhVien?.value> 0)"
						(click)="addThanhVienForGroup(comboxThanhVien)" expand="block">
						add
					</ion-button>
				</ion-item>
			</ion-list>

		</form>
		<ion-label position="stacked">Danh sách thành viên thuộc group:
			</ion-label>
		<ion-list margin-bottom-content margin-top *ngIf="lThanhVien"
			[@animationList]="lThanhVien && lThanhVien.length >= 0">
			<ion-item detail class="raovat-item" *ngFor="let item of lThanhVien">
				<div class="raovat-box">
					<div class="raovat-info">
						<h3 class="title">	
							{{this.commonMethodsTs.getData(item, "HoTen", this.lbl.noneUpdate)}}
						</h3>
					</div>
				</div>
				<ion-button (click)="removeThanhVienForGroup(item.Id)" expand="block">
					remove
				</ion-button>
			</ion-item>
		
		</ion-list>
	</ion-grid>
	<ion-fab vertical="bottom" slot="fixed">
		<ion-button style="width:100%" *ngIf="+this.data?.Id> 0" (click)="delete()">
			Xóa
		</ion-button>
	</ion-fab>
</ion-content>